跳转到内容

Bria Virtual Try-On (FIBO-Edit-1.5)

集成

模型 id bria/fibo-edit-1.5/virtual-try-on
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: $0.04 40 API 积分 · ≈ ₽4.30 在此页面运行

获取 API 密钥
Bria AI 图像编辑 #virtual-try-on#fashion-tech#apparel#e-commerce

虚拟试穿工具,可为人物照片穿戴 1 到 3 件服装或配饰

Bria AI · 图像

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填
拖放文件,或

穿着者照片;不改变背景、人物姿势、体型、头发、面部或身份。

•必填
拖放文件,或 · 最多 3 个

服装或配饰参考图,用于指定替换人物当前穿着的相应物品。提供一到三张图像;其中的物品会分层组合穿着,并复现所提供的闭合方式、比例、面料、颜色、纹理、图案位置和印花位置。

aspect_ratio

输出比例默认采用人物照片的比例,除非在此指定比例。

高级 instruction · seed

对分层顺序或要保留物品的可选自定义。这些指令会补充而非替代当前使用的完整试穿指令。

默认 5555

随机性种子;在不更改任何输入的情况下重复使用它可以复现图像。

POST /run/bria/fibo-edit-1.5/virtual-try-on?wait=20 报价 → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/bria/fibo-edit-1.5/virtual-try-on?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Bria Virtual Try-On (FIBO-Edit-1.5)

编辑人物照片,使主体穿戴 `garment_image_urls` 中的服装或配饰;该参数接受一到三张同时穿戴并分层组合的图像。必须提供 `person_image_url`,并保留人物的身份、面部、姿势和背景。可选的 `instruction` 用于说明分层方式,`aspect_ratio` 默认为人物图像的比例。

参数

名称类型 默认值允许值 描述
person_image_url必填
类型url · image
穿着者照片;不改变背景、人物姿势、体型、头发、面部或身份。
garment_image_urls必填
类型url[] · image
≤ 3 个项目
服装或配饰参考图,用于指定替换人物当前穿着的相应物品。提供一到三张图像;其中的物品会分层组合穿着,并复现所提供的闭合方式、比例、面料、颜色、纹理、图案位置和印花位置。
instruction可选
类型string | null
对分层顺序或要保留物品的可选自定义。这些指令会补充而非替代当前使用的完整试穿指令。
aspect_ratio可选
类型enum
1:12:33:23:44:34:55:49:1616:9
输出比例默认采用人物照片的比例,除非在此指定比例。
seed可选
类型integer
默认值5555
随机性种子;在不更改任何输入的情况下重复使用它可以复现图像。
必填

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/fibo-edit-1.5/virtual-try-on",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "person_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "garment_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    },
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "structured_instruction": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
image
object {url, content_type, file_name, file_size, width, height}编辑后的结果;指定 aspect_ratio 时遵循该比例,否则遵循源图像比例。
images
array of object {url, content_type, file_name, file_size, width, height}为使用旧版 Fibo Edit API 路由的客户端提供的向后兼容响应:列表中唯一条目是同一张图像。
structured_instruction
object对简要描述的扩展解释,以实际执行的结构化指令形式返回。它同时包含内置指令以及通过 `instruction` 提供的内容。

更多模型:图像编辑

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/bria/fibo-edit-1.5/virtual-try-on.md. 所有模型和指南: https://doitong.com/developers/llms.txt